<link rel="import" href="../polymer/polymer-element.html">

<dom-module id="success-element">
  <template>
    <style>
      :host {
        display: block;
      }
    </style>
    <h2>Hello [[prop1]]!</h2>
  </template>

  <script>
    /**
     * `success-element`
     * Success!
     *
     * @customElement
     * @polymer
     * @demo demo/index.html
     */
    class SuccessElement extends Polymer.Element {
      static get is() { return 'success-element'; }
      static get properties() {
        return {
          prop1: {
            type: String,
            value: 'success-element'
          }
        };
      }
    }

    window.customElements.define(SuccessElement.is, SuccessElement);
  </script>
</dom-module>
